summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNed Ludd <solar@gentoo.org>2008-11-09 20:27:43 +0000
committerNed Ludd <solar@gentoo.org>2008-11-09 20:27:43 +0000
commitad07192b322fe2eb1fc15fc7390e2333936603bc (patch)
tree7b12b6efee578b45ab7d2debfc77d5713e14b000 /eclass/toolchain.eclass
parentBump to 1.0.9 and introduce 2.5.0 for bug 245941. (diff)
downloadgentoo-2-ad07192b322fe2eb1fc15fc7390e2333936603bc.tar.gz
gentoo-2-ad07192b322fe2eb1fc15fc7390e2333936603bc.tar.bz2
gentoo-2-ad07192b322fe2eb1fc15fc7390e2333936603bc.zip
- unbreak arm eabi support
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass13
1 files changed, 12 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 07f73b81b0bb..d72ce3607830 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.365 2008/10/27 05:06:41 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.366 2008/11/09 20:27:43 solar Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1016,6 +1016,15 @@ do_gcc_rename_java_bins() {
die "Failed to fixup file ${jfile} for rename to grmic"
done
}
+unbreak_arm() {
+ [[ ${CTARGET} == *eabi* ]] || return
+ [[ ${CTARGET} == arm* ]] || return
+ [[ ${CTARGET} == armv5* ]] && return
+ [[ -e "${S}"/gcc/config/arm/linux-eabi.h ]] || return
+ #armv4tl can do ebai as well. http://www.nabble.com/Re:--crosstool-ng--ARM-EABI-problem-p17164547.html
+ #http://sourceware.org/ml/crossgcc/2008-05/msg00009.html
+ sed -i -e s/'define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm10tdmi'/'define SUBTARGET_CPU_DEFAULT TARGET_CPU_arm9tdmi'/g "${S}"/gcc/config/arm/linux-eabi.h
+}
gcc_src_unpack() {
export BRANDING_GCC_PKGVERSION="Gentoo ${GCC_PVR}"
@@ -1099,6 +1108,8 @@ gcc_src_unpack() {
do_gcc_rename_java_bins
fi
+ unbreak_arm
+
# Fixup libtool to correctly generate .la files with portage
cd "${S}"
elibtoolize --portage --shallow --no-uclibc